Bug 1858946 (CVE-2020-13932) - CVE-2020-13932 activemq: remote XSS in web console diagram plugin
Summary: CVE-2020-13932 activemq: remote XSS in web console diagram plugin
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-13932
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1858947
TreeView+ depends on / blocked
 
Reported: 2020-07-20 20:21 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-12-15 16:16 UTC (History)
70 users (show)

Fixed In Version: Apache ActiveMQ Artemis 2.14.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-08 11:02:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:5365 None None None 2020-12-08 08:55:54 UTC

Description Guilherme de Almeida Suckevicz 2020-07-20 20:21:13 UTC
A specifically crafted MQTT packet which has an XSS payload as client-id or topic name can exploit this vulnerability. The XSS payload is being injected into the admin console's browser. The XSS payload is triggered in the diagram plugin; queue node and the info section.

Reference:
https://activemq.apache.org/security-advisories.data/CVE-2020-13932-announcement.txt

Comment 10 errata-xmlrpc 2020-12-08 08:55:47 UTC
This issue has been addressed in the following products:

  Red Hat AMQ

Via RHSA-2020:5365 https://access.redhat.com/errata/RHSA-2020:5365

Comment 11 Product Security DevOps Team 2020-12-08 11:02:41 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-13932


Note You need to log in before you can comment on or make changes to this bug.